import { OnInit } from '@angular/core';
import { CdkDragDrop } from '@angular/cdk/drag-drop';
import { TableData } from '../table-data';
export declare class MatMultiSortTableSettingsComponent implements OnInit {
    _columns: {
        id: string;
        name: string;
        isActive: boolean;
    }[];
    _tableData: TableData<any>;
    sort: any[];
    sortToolTip: string;
    tableData: TableData<any>;
    constructor();
    ngOnInit(): void;
    drop(event: CdkDragDrop<string[]>): void;
    dropSort(event: CdkDragDrop<string[]>): void;
    toggle(): void;
    getSort(): {
        id: string;
        name: string;
        direction: string;
    }[];
    remove(id: string): void;
    updateDirection(id: string): void;
    private updateSort;
}
