import { OnChanges, OnInit } from '@angular/core';
import { MatSort, MatSortable, SortDirection } from '@angular/material';
export declare class MatMultiSort extends MatSort implements OnInit, OnChanges {
    start: "desc" | "asc";
    actives: string[];
    directions: SortDirection[];
    ngOnInit(): void;
    sort(sortable: MatSortable): void;
    updateMultipleSorts(sortable: MatSortable): void;
    isActive(sortable: MatSortable): boolean;
    activeDirection(sortable: MatSortable): 'asc' | 'desc';
}
