import { DataSource } from "@angular/cdk/collections";
import { BehaviorSubject } from "rxjs";
import { MatMultiSort } from "./mat-multi-sort.directive";
export declare class MatMultiSortTableDataSource<T> implements DataSource<T> {
    private tableDataSubject;
    private tableData;
    private enableClientSideSorting;
    sort: MatMultiSort;
    constructor(sort: MatMultiSort, enableClientSideSorting?: boolean);
    setTableData(data: T[]): void;
    connect(): BehaviorSubject<T[]>;
    disconnect(): void;
    sortData(data: T[], sort: MatMultiSort): T[];
    _sortData(d1: T, d2: T, params: string[], dirs: string[]): number;
}
